#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ -Scmake

override_dh_auto_configure:
	cp -v po/fr.po debian/fr.po.orig
	cp -v po/nl.po debian/nl.po.orig
	dh_auto_configure -- -DXDG_CONFIG_DIR=/usr/share/doc/dfc/examples \
	  -DSYSCONFDIR=/etc

override_dh_auto_install:
	dh_auto_install
	rm -v debian/dfc/usr/share/doc/dfc/LICENSE \
	  debian/dfc/usr/share/doc/dfc/CHANGELOG.md

override_dh_auto_clean:
	dh_auto_clean
	if [ -f debian/fr.po.orig ]; then mv -v debian/fr.po.orig po/fr.po; fi
	if [ -f debian/nl.po.orig ]; then mv -v debian/nl.po.orig po/nl.po; fi
	rm -vf po/dfc.pot
